#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long a,b,c,maks,x[10],a1,b1,c1;
    long long bra=1,brb=1,brc=1,u;
    scanf("%lld%lld%lld",&a,&b,&c);
    a1=a;
    b1=b;
    c1=c;

    while(a1)
    {
        a1=a1/10;
        bra=bra*10;;
    }
    while(b1)
    {
        b1=b1/10;
        brb=brb*10;
    }
    while(c1)
    {
        c1=c1/10;
        brc=brc*10;
    }

    u=bra*brb*brc;

    x[0]=a*(u/bra)+b*(u/(bra*brb))+c;
    x[1]=a*(u/bra)+c*(u/(bra*brc))+b;
    x[2]=b*(u/brb)+a*(u/(brb*bra))+c;
    x[3]=b*(u/brb)+c*(u/(brc*brb))+a;
    x[4]=c*(u/brc)+a*(u/(brc*bra))+b;
    x[5]=c*(u/brc)+b*(u/(brc*brb))+a;

    maks=x[0];
    for(int i=1;i<6;i++)
    {
        if(x[i]>maks)maks=x[i];
    }

    printf("%lld",maks);


         return 0;
}